namespace SafeCampus.Application.Services.Business.DepartmentService;

public interface IDepartmentService : ITransient
{
    /// <summary>
    /// 添加
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Add(DepartmentDto input);
    /// <summary>
    /// 修改
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Update(DepartmentDto input);
    /// <summary>
    /// 获取详情
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<DepartmentDto> GetInfo(long id);
    /// <summary>
    /// 删除
    /// </summary>
    /// <param name="id">id</param>
    /// <returns></returns>
    Task<bool> Delete(List<long> id);
    /// <summary>
    /// 获取列表
    /// </summary>
    /// <returns></returns>
    Task<SqlSugarPagedList<DepartmentDto>> GetPageList(DepartmentSearch search);
    /// <summary>
    /// 不分页获取列表
    /// </summary>
    /// <param name="search"></param>
    /// <returns></returns>
    Task<List<DepartmentDto>> GetNoPageList(DepartmentSearch search);
}